POST

Add Field to Profile

Use this API to add a new custom field to a self-registration profile.

Resource URL

https://<subdomain>.onelogin.com/api/2/self_registration_profiles/<profile_id>/self_registration_profile_fields

Header Parameters

Authorization

required

string

Set to bearer:<access_token>.

Set <access_token> to the access token you generated using the Generate Token API.

The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: Manage users or Manage All.

Content-Type

required

string

Set to application/json.

Resource Parameter

id

required

integer

Set to the id of the profile that you want to update. If you don't know the profile's id, use the List All Profiles API call to return all profiles and their id values.

Request Parameters

custom_attribute_id

required

numberThe ID for the custom attribute you want to add to the self-registration profile.

Sample Response

The attribute is added

{
    "custom_attribute_id": 789
}
{
    "message": "unknown attribute: profile_id",
    "name": "BadRequestError",
    "statusCode": 400
}

Typically, this error means that your access token value is invalid.

{
    "message": "Unauthorized",
    "name": "UnauthorizedError",
    "statusCode": 401
}

Postman Collection

Replace sample variables indicated by < > in the sample request body with your actual values. Also, be sure to set Postman-specific environment variables indicated by {{ }}.

Run in Postman

Sample Code

cURL

Replace sample values indicated by < > with your actual values.

curl 'https://<subdomain>.onelogin.com/api/2/self_registration_profiles/<profile_id>/self_registration_profile_fields' \
-X POST \
-H "Authorization: bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{"custom_attribute_id": <custom_attribute_id>}'